"""user report tracking

Revision ID: bbfe3299c4bf
Revises: 587e89e1188d
Create Date: 2024-07-26 13:25:53.907149

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'bbfe3299c4bf'
down_revision = '587e89e1188d'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('user_report',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('origin_domain_name', sa.String(), nullable=True),
    sa.Column('url_path', sa.String(), nullable=True),
    sa.Column('count', sa.Integer(), nullable=True),
    sa.Column('created_at', sa.DateTime(), nullable=True),
    sa.Column('last_reported_at', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('user_report')
    # ### end Alembic commands ###
